
import random
import numpy as np
from sklearn.decomposition import PCA
from eli5.sklearn import PermutationImportance

def random_pca_explainer(X, n_components=2):
    """
    This function applies PCA on the input data and then uses PermutationImportance
    from the eli5 library to explain the importance of each feature after PCA transformation.
    """
    pca = PCA(n_components=n_components)
    X_pca = pca.fit_transform(X)
    
    perm_importance = PermutationImportance(pca).fit(X_pca)
    
    return perm_importance.importances_mean_

